$break-small: 1500px;
$break-extra-small: 577px;
$break-large: 2000px;

.side-bar {
  background: var(--bs-gray-100);
  border-left: 1px solid var(--bs-gray-300);
  width: 350px;
  padding: $spacer;

  .header-line {
    clear: both;
  }

  .title {
    font-size: 1rem;
    font-weight: 400;

    a {
      font-size: 0.9rem;
    }
  }

  .value {
    font-weight: bold;
  }

  ul.value {
    margin: 0;
    padding: 0;
    list-style: none;

    & > li > ul.value {
      padding-left: 10px;
    }

    li {
      font-weight: normal;
    }
    img {
      width: 25px;
    }
  }

  .bottom {
    margin-top: auto !important;

    .bar-group {
      hr {
        display: none;
      }
    }
  }

  .btn.btn-open {
    background-color: transparent;
    color: $gray-600;
    border: 0;

    &:hover {
      color: $gray-800;
    }

    &:active {
      color: $gray-400;
    }
  }

  @media screen and (max-width: $break-extra-small) {
    width: 60px;
    min-height: 67px;

    &.closed {
      float: right;
      padding-top: 0;
    }

    .btn.btn-close {
      margin-bottom: 10px;
    }

    &.open + div {
      width: 100%;
      display: none;
    }
  }

  @media screen and (min-width: $break-small) {
    .btn.btn-open {
      display: none;
    }

    .btn.btn-close,
    .btn.btn-close + hr {
      display: none;
    }
  }

  @media screen and (min-width: $break-extra-small) and (max-width: $break-small) {
    width: 60px;

    &.open {
      max-width: 350px;
      width: 100%;
      padding: 20px;
    }
  }

  @media screen and (max-width: $break-small) {
    width: 60px;
    min-height: 100%;

    .bar-group,
    .container-group {
      display: none;
    }

    &.open {
      width: 100%;

      .bar-group,
      .container-group {
        display: block;
      }
    }
  }
}
